Bug 1115 - [UPDATE REQUEST] [UPSTREAM UPDATE] mailman
: [UPDATE REQUEST] [UPSTREAM UPDATE] mailman
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 19:03 MSK by Andrew Lukoshko
Modified: 2012-11-27 13:18 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-20 19:03:20 MSK
Updated mailman from RHEL6 upstream.

Advisory:
* The reset_pw.py script contained a typo, which could cause the mailman utility
to fail with a traceback. The typo has been corrected, and mailman now works as
expected.

* The "urlhost" argument was not handled in the newlist script. When running the
"newlist" command with the "--urlhost" argument specified, the contents of the
index archive page was not created using proper URLs; the hostname was used
instead. With this update, "urlhost" is now handled in the newlist script. If
the "--urlhost" argument is specified on the command line, the host URL is used
when creating the index archive page instead of the hostname.

* Previously, long lines in e-mails were not wrapped in the web archive,
sometimes requiring excessive horizontal scrolling. The "white-space: pre-wrap;"
CSS style has been added to all templates, so that long lines are now wrapped in
browsers that support that style.

* The "From" string in the e-mail body was not escaped properly. A message
containing the "From" string at the beginning of a line was split and displayed
in the web archive as two or more messages. The "From" string is now correctly
escaped, and messages are no longer split in the described scenario.
http://rhn.redhat.com/errata/RHBA-2012-1474.html

Build lists:
https://abf.rosalinux.ru/build_lists/847716
https://abf.rosalinux.ru/build_lists/847717
Comment 1 Vladimir Potapov 2012-11-26 17:18:30 MSK
mailman-2.1.12-18.res6
******************* RHEL Advisory ************************
* The reset_pw.py script contained a typo, which could cause the mailman utility
to fail with a traceback. The typo has been corrected, and mailman now works as
expected.

* The "urlhost" argument was not handled in the newlist script. When running the
"newlist" command with the "--urlhost" argument specified, the contents of the
index archive page was not created using proper URLs; the hostname was used
instead. With this update, "urlhost" is now handled in the newlist script. If
the "--urlhost" argument is specified on the command line, the host URL is used
when creating the index archive page instead of the hostname.

* Previously, long lines in e-mails were not wrapped in the web archive,
sometimes requiring excessive horizontal scrolling. The "white-space: pre-wrap;"
CSS style has been added to all templates, so that long lines are now wrapped in
browsers that support that style.

* The "From" string in the e-mail body was not escaped properly. A message
containing the "From" string at the beginning of a line was split and displayed
in the web archive as two or more messages. The "From" string is now correctly
escaped, and messages are no longer split in the described scenario.
**************************************************************
QA Verified